package com.yunfeiyun.agmp.fms.domain;

import com.yunfeiyun.agmp.common.annotation.Excel;
import com.yunfeiyun.agmp.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 病虫虫害对象 FmsCalarm
 * 
 * @author 杨晓辉
 * @date 2023-06-14
 */
public class FmsCalarm extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 虫害编号 */
    private String calarmId;

    /** 病虫害类型 */
    @Excel(name = "病虫害类型")
    private String calarmType;

    /** 病虫害名称 */
    @Excel(name = "病虫害名称")
    private String calarmName;

    /** 病虫害资源路径 */
    @Excel(name = "病虫害资源路径")
    private String calarmCloudresurl;

    /** 增加时间 */
    @Excel(name = "增加时间")
    private String calarmCreateddate;

    /** 增加人 */
    @Excel(name = "增加人")
    private String calarmCreator;

    /** 档案内容 */
    @Excel(name = "档案内容")
    private String calamRemark;

    public void setCalarmId(String calarmId)
    {
        this.calarmId = calarmId;
    }

    public String getCalarmId()
    {
        return calarmId;
    }
    public void setCalarmType(String calarmType)
    {
        this.calarmType = calarmType;
    }

    public String getCalarmType()
    {
        return calarmType;
    }
    public void setCalarmName(String calarmName)
    {
        this.calarmName = calarmName;
    }

    public String getCalarmName()
    {
        return calarmName;
    }
    public void setCalarmCloudresurl(String calarmCloudresurl)
    {
        this.calarmCloudresurl = calarmCloudresurl;
    }

    public String getCalarmCloudresurl()
    {
        return calarmCloudresurl;
    }
    public void setCalarmCreateddate(String calarmCreateddate)
    {
        this.calarmCreateddate = calarmCreateddate;
    }

    public String getCalarmCreateddate()
    {
        return calarmCreateddate;
    }
    public void setCalarmCreator(String calarmCreator)
    {
        this.calarmCreator = calarmCreator;
    }

    public String getCalarmCreator()
    {
        return calarmCreator;
    }
    public void setCalamRemark(String calamRemark)
    {
        this.calamRemark = calamRemark;
    }

    public String getCalamRemark()
    {
        return calamRemark;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("calarmId", getCalarmId())
            .append("calarmType", getCalarmType())
            .append("calarmName", getCalarmName())
            .append("calarmCloudresurl", getCalarmCloudresurl())
            .append("calarmCreateddate", getCalarmCreateddate())
            .append("calarmCreator", getCalarmCreator())
            .append("calamRemark", getCalamRemark())
            .toString();
    }
}
